package xl.model;

import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.Map.Entry;

import xl.expr.Environment;

import java.util.Set;

/**
 * Specialized PrintStream for writing XL files.
 */
public class XLPrintStream extends PrintStream {

    public XLPrintStream(String fileName) throws FileNotFoundException {
        super(fileName);
    }

    public void save(Environment e, Set<Entry<String, Cell>> set) {
        for (Entry<String, Cell> entry : set) {
            print(entry.getKey());
            print('=');
            println(entry.getValue().displayValue(e));
        }
        flush();
        close();
    }
}
